Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.cicsadapter.eway
Class CICSEwayConnection

    java.lang.Object
      com.stc.connector.cicsadapter.eway.CICSEwayConnection

All Implemented Interfaces:
  com.stc.connector.framework.eway.EwayConnection, com.stc.connector.framework.eway.ValidatingEwayConnection, com.stc.connector.management.STCManagedSlave

    public class CICSEwayConnection

extends java.lang.Object
implements com.stc.connector.framework.eway.EwayConnection, com.stc.connector.management.STCManagedSlave, com.stc.connector.framework.eway.ValidatingEwayConnection

This class implements the EwayConnection interface for providing CICS connection oriented services for the Eway/JCA framework.

Version:
  $Version$
Author:
  $Author: chuang $

Constructor Summary
`CICSEwayConnection()` Creates a new instance of CICSEwayConnection

Method Summary
`void` | `cleanup()` Perform clean up of any resources or reset of any state held by the instance of EwayConnection.
`void` | `destroy()` Release any resources prior to the destruction of the associated ManagedConnection.
`com.stc.connector.framework.client.AssociateableHandle` | `getConnection(javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri)` Get a new instance of the connection handle (application connection).
`CicsClient` | `getEISConnection()` Returns the CICS connection object.
`javax.resource.spi.LocalTransaction` | `getLocalTransaction()` Get a LocalTransaction instance for local transaction demaracation.
`javax.resource.spi.ManagedConnectionMetaData` | `getMetaData()` Get a new instance of the ManagedConnectionMetaData which contains connection information for the currently established connection.
`com.stc.connector.management.util.ObjectReference` | `getMonitor()` Convenient method to get the initialized mBean (Is there anyone that will need this at a higher level?)
`javax.transaction.xa.XAResource` | `getXAResource()` Get an XAResource instance for global transaction demaracation.
`void` | `initialize(com.stc.connector.framework.eway.ManagedConnectionCallback mcCallback, javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri, com.stc.connector.management.jca.system.mbeans.MonitorDataContainer aMonitorDataContainer)` Initialize the EwayConnection.
`boolean` | `isValidConnection()` This method is used by the framework to determine whether the CICS connection is still valid (ie, unrecoverable connection error).
`boolean` | `matchConnection(javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri)` Determines whether this instance of the EwayConnection matches the the connection request with the connection information in Subject and/or ConnectionRequestInfo.
`protected void` | `sendAlert(java.lang.String alertCode, java.lang.String[] alertMsgArgs, java.lang.String detailMsg, int notificationSeverity)`
`void` | `setMonitor(com.stc.connector.management.util.ObjectReference mbean)` Implementing the STCManagedSlave interface to set up/register a callback so that the connector framework can initialize the Mbean for this eway

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CICSEwayConnection

    public CICSEwayConnection()

  Creates a new instance of CICSEwayConnection

Method Detail

### cleanup

    public void cleanup()
                 throws javax.resource.ResourceException

  Perform clean up of any resources or reset of any state held by the instance of EwayConnection.

  Specified by:
    `cleanup` in interface `com.stc.connector.framework.eway.EwayConnection`
  Throws:
    `javax.resource.ResourceException` - upon error.

### destroy

    public void destroy()
                 throws javax.resource.ResourceException

  Release any resources prior to the destruction of the associated ManagedConnection.

  Specified by:
    `destroy` in interface `com.stc.connector.framework.eway.EwayConnection`
  Throws:
    `javax.resource.ResourceException` - upon error.

### getConnection

    public com.stc.connector.framework.client.AssociateableHandle getConnection(javax.security.auth.Subject subject,
                                                                                javax.resource.spi.ConnectionRequestInfo cri)
                                                                         throws javax.resource.ResourceException

  Get a new instance of the connection handle (application connection).

  Specified by:
    `getConnection` in interface `com.stc.connector.framework.eway.EwayConnection`
  Parameters:
    `subject` - The Subject instance which holds the credentials for EIS signon.
    `cri` - The ConnectionRequestInfo instance which holds both EIS EIS signon information or general connection specific information. The ConnectionRequestInfo provided will contain the union of the properties from the client connection request properties, the ResourceAdapter properties, and the ManagedConnectionFactory properties.
  Returns:
    A connection handle (application connection) instance which implements the Associateable interface.
  Throws:
    `javax.resource.ResourceException` - upon error.

### getLocalTransaction

    public javax.resource.spi.LocalTransaction getLocalTransaction()
                                                            throws javax.resource.ResourceException

  Get a LocalTransaction instance for local transaction demaracation.

  Specified by:
    `getLocalTransaction` in interface `com.stc.connector.framework.eway.EwayConnection`
  Returns:
    A LocalTransaction instance.
  Throws:
    `javax.resource.ResourceException` - upon error.

### getMetaData

    public javax.resource.spi.ManagedConnectionMetaData getMetaData()
                                                             throws javax.resource.ResourceException

  Get a new instance of the ManagedConnectionMetaData which contains connection information for the currently established connection.

  Specified by:
    `getMetaData` in interface `com.stc.connector.framework.eway.EwayConnection`
  Returns:
    An instance of ManagedConnectionMetaData which contains information about the current established connection to the EIS.
  Throws:
    `javax.resource.ResourceException` - upon error.

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws javax.resource.ResourceException

  Get an XAResource instance for global transaction demaracation.

  Specified by:
    `getXAResource` in interface `com.stc.connector.framework.eway.EwayConnection`
  Returns:
    A XAResource instance.
  Throws:
    `javax.resource.ResourceException` - upon error.

### initialize

    public void initialize(com.stc.connector.framework.eway.ManagedConnectionCallback mcCallback,
                           javax.security.auth.Subject subject,
                           javax.resource.spi.ConnectionRequestInfo cri,
                           com.stc.connector.management.jca.system.mbeans.MonitorDataContainer aMonitorDataContainer)
                    throws javax.resource.ResourceException

  Initialize the EwayConnection. Establish the connection to the external system (EIS).

  Specified by:
    `initialize` in interface `com.stc.connector.framework.eway.EwayConnection`
  Parameters:
    `mcCallback` - The callback object for getting services from the associated ManagedConnection.
    `subject` - The Subject instance which holds the credentials for EIS signon.
    `cri` - The ConnectionRequestInfo instance which can hold both EIS signon information or general connection specific information. The ConnectionRequestInfo provided will contain the union of the properties from the client connection request properties, the ResourceAdapter properties, and the ManagedConnectionFactory properties.
  Throws:
    `javax.resource.ResourceException` - upon error.

### matchConnection

    public boolean matchConnection(javax.security.auth.Subject subject,
                                   javax.resource.spi.ConnectionRequestInfo cri)

  Determines whether this instance of the EwayConnection matches the the connection request with the connection information in Subject and/or ConnectionRequestInfo.

  Specified by:
    `matchConnection` in interface `com.stc.connector.framework.eway.EwayConnection`
  Parameters:
    `subject` - The Subject instance which holds the credentials for EIS signon.
    `cri` - The ConnectionRequestInfo instance which holds both EIS EIS signon information or general connection specific information. The ConnectionRequestInfo provided will contain the union of the properties from the client connection request properties, the ResourceAdapter properties, and the ManagedConnectionFactory properties.
  Returns:
    A boolean true if there is a connection match; false otherwise.

### getEISConnection

    public CicsClient getEISConnection()

  Returns the CICS connection object.

  Returns:
    The CicsClient instance.

### setMonitor

    public void setMonitor(com.stc.connector.management.util.ObjectReference mbean)

  Implementing the STCManagedSlave interface to set up/register a callback so that the connector framework can initialize the Mbean for this eway

  Specified by:
    `setMonitor` in interface `com.stc.connector.management.STCManagedSlave`
  Parameters:
    `Object` - the mbean to be set by the framework

### getMonitor

    public com.stc.connector.management.util.ObjectReference getMonitor()

  Convenient method to get the initialized mBean (Is there anyone that will need this at a higher level?)

  Parameters:
    `none` -
  Returns:
    Monitor the mbean

### sendAlert

    protected void sendAlert(java.lang.String alertCode,
                             java.lang.String[] alertMsgArgs,
                             java.lang.String detailMsg,
                             int notificationSeverity)

### isValidConnection

    public boolean isValidConnection()

  This method is used by the framework to determine whether the CICS connection is still valid (ie, unrecoverable connection error). It is used to determine whether the ManagedConnection instance associated with the instance of the CICS eway connection should be pruned from the connection pool by the container. Available for JCA 1.5 only.

  Specified by:
    `isValidConnection` in interface `com.stc.connector.framework.eway.ValidatingEwayConnection`
  Returns:
    If valid CICS eway connection, true must be returned, otherwise false must be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD